## libgphoto2 2.5.27

=== debian/changelog ===
libgphoto2 (2.5.27-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:28 +0100

libgphoto2 (2.5.27-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:45 +0200

libgphoto2 (2.5.27-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [acb5f95] Set upstream metadata fields: Security-Contact.
    Changes-By: lintian-brush

  [ Ferenc Wágner ]
  * [cceafe1] New upstream version 2.5.27
  * [7ae4691] Delete now-unnecessary patch
  * [5175396] Upgrade Standards-Version to 4.5.1 (no changes required)
  * [67ec5f5] Remove inactive uploaders.
    Many thanks for the work of Herbert Parentes Fortes Neto and
    Frederic Peters.
  * [46d8207] The AppStream component ID is required to follow a reverse domain-
    name scheme

  [ Helmut Grohne ]
  * [e1eda69] Drop unneeded Build-Depends
    + Demote doxygen to Build-Depends-Indep
    + libdbus-1-dev was needed for HAL support only (dropped in 2.5)
    (Closes: #981082)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 17:40:24 +0100
