=== debian/control ===
Source: libgphoto2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
Build-Depends: debhelper-compat (= 12),
               graphviz,
               libcurl4-openssl-dev,
               libexif-dev (>= 0.5.9),
               libgd-dev,
               libgpmg1-dev [linux-any],
               libjpeg-dev,
               libltdl-dev,
               libtool,
               libusb-1.0-0-dev [!hurd-i386],
               libxml2-dev,
               pkg-config,
               rdfind,
               symlinks,
               zlib1g-dev
Build-Depends-Indep:
 doxygen,
Build-Conflicts: liblockdev1-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libgphoto2
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libgphoto2.git
Homepage: https://github.com/gphoto/libgphoto2/

Package: libgphoto2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libexif-dev,
         libgphoto2-6 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Breaks: libgphoto2-2-dev (<< 2.5.2-1~)
Replaces: libgphoto2-2-dev (<< 2.5.2-1~)
Description: gphoto2 digital camera library (development files)
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the development files.

Package: libgphoto2-dev-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: gphoto2 digital camera library (development documentation)
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the development documentation.

Package: libgphoto2-port12
Architecture: any
Multi-Arch: same
Breaks: libgphoto2-port10 (>= 2.5.7)
Replaces: libgphoto2-port10 (>= 2.5.7)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gphoto2 (>= 2.5.7)
Description: gphoto2 digital camera port library
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the runtime code for port access.

Package: libgphoto2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgphoto2-l10n (>= ${source:Version})
Suggests: gphoto2 (>= 2.5.7)
Description: gphoto2 digital camera library
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the library.
 .
 The gphoto2 command-line frontend is shipped separately, in the gphoto2
 package.

Package: libgphoto2-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: gphoto2 digital camera library - localized messages
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the localized messages for the library.
