## libgphoto2 2.5.29

=== debian/changelog ===
libgphoto2 (2.5.29-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [1a064f7] New upstream version 2.5.29
  * [b5d47e7] Refresh our patch
  * [333aa95] Acknowledge new symbol.
    Actually, gp_filesystem_set_info_dirty was introduced in 2.5.28, but
    that version hasn't been packaged.
  * [bc45f4d] The upper gphoto-m4 directory copy was dropped from 2.5.28
  * [f0844db] Linux hotplug support was dropped from 2.5.28
  * [12e9629] RPM packaging was dropped from 2.5.28
  * [6e5dcbf] Update Standards-Version to 4.6.1 (no changes required)
  * [dbd6f3e] We don't ship .a files, don't bother stripping them
  * [897e23a] Don't even build the static libraries.
    We don't ship them since 2.5.25-1.
  * [454f8a1] Switch to Debhelper compatibility level 13
  * [6b5e9d7] hardening=+all already includes PIE builds
  * [20585dd] Don't disable libusb on Hurd.
    It's unclear why it was disabled.
  * [b43912e] Drop the superfluous GPM build dependency
  * [8bf14dc] Version of the localization data should be identical to that of
    the library

  [ Debian Janitor ]
  * [e09f83f] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on libexif-dev.
    * libgphoto2-port12: Drop versioned constraint on gphoto2 in Suggests.
    * libgphoto2-6: Drop versioned constraint on gphoto2 in Suggests.
    Changes-By: deb-scrub-obsolete

 -- Ferenc Wágner <wferi@debian.org>  Mon, 23 May 2022 11:54:02 +0200
