=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                graphviz,
                libcurl4-openssl-dev,
-               libexif-dev (>= 0.5.9),
+               libexif-dev,
                libgd-dev,
-               libgpmg1-dev [linux-any],
                libjpeg-dev,
                libltdl-dev,
                libtool,
-               libusb-1.0-0-dev [!hurd-i386],
+               libusb-1.0-0-dev,
                libxml2-dev,
                pkg-config,
                rdfind,
@@ -24,7 +22,7 @@
  doxygen,
 Build-Conflicts: liblockdev1-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libgphoto2
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libgphoto2.git
 Homepage: https://github.com/gphoto/libgphoto2/
@@ -66,7 +64,7 @@
 Replaces: libgphoto2-port10 (>= 2.5.7)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: gphoto2 (>= 2.5.7)
+Suggests: gphoto2
 Description: gphoto2 digital camera port library
  The gphoto2 library can be used by applications to access various
  digital camera models, via standard protocols such as USB Mass Storage
@@ -79,8 +77,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libgphoto2-l10n (>= ${source:Version})
-Suggests: gphoto2 (>= 2.5.7)
+Recommends: libgphoto2-l10n (= ${source:Version})
+Suggests: gphoto2
 Description: gphoto2 digital camera library
  The gphoto2 library can be used by applications to access various
  digital camera models, via standard protocols such as USB Mass Storage
