## libgphoto2 2.5.30

=== debian/changelog ===
libgphoto2 (2.5.30-1) unstable; urgency=medium

  * [fdd1a02] Work around lazy loading of GitHub release pages in watch file
  * [544ee6b] New upstream version 2.5.30
  * [9c5f3bf] Update symbols files
  * [57da549] Wildcard version of libgphoto2_port in not-installed
  * [c03c895] Adapt Lintian override to new message format
  * [afa82ac] Override another false typo alert
  * [186cd9e] Update Standards-Version to 4.6.2 (no changes required)
  * [7e60f22] Update copyright of the packaging

 -- Ferenc Wágner <wferi@debian.org>  Thu, 12 Jan 2023 23:22:41 +0100
