=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  doxygen,
 Build-Conflicts: liblockdev1-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libgphoto2
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libgphoto2.git
 Homepage: https://github.com/gphoto/libgphoto2/
