=== debian/rules ===
--- 
+++ 
@@ -5,23 +5,15 @@
 DOC_IMG=$(CURDIR)/debian/libgphoto2-dev-doc/usr/share/doc/libgphoto2-6/libgphoto2-api.html
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie
 
 ### soname version - libgphoto2-major:
 major=6
-
-### Architecture handling:
-CONFIGURE_OPTIONS += --without-libusb
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-ifeq ($(DEB_HOST_ARCH_OS),hurd)
-  CONFIGURE_OPTIONS += --without-libusb-1.0
-endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ### Overrides:
 override_dh_auto_configure:
-	dh_auto_configure -- CFLAGS="$(CFLAGS) -fPIE" CXXFLAGS="$(CXXFLAGS) -fPIE" --with-drivers=all --enable-static $(CONFIGURE_OPTIONS)
+	dh_auto_configure -- --with-drivers=all
 
 override_dh_auto_install:
 	LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
@@ -59,19 +51,10 @@
 	dh_makeshlibs -plibgphoto2-port12 -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2_port/
 
 override_dh_missing:
-	dh_missing --fail-missing -X.la -X.a
+	dh_missing -X.la
 
 override_dh_shlibdeps:
 	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port12/usr/lib/
-
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-override_dh_strip:
-	dh_strip
-	find . -name '*.a' \( \! -name '*_g.a' \) \
-	-exec strip --strip-debug \
-	--remove-section=.comment \
-	--remove-section=.note {} \;
-endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_gencontrol:
