## libgphoto2 2.5.31

=== debian/changelog ===
libgphoto2 (2.5.31-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:00:03 +0000

libgphoto2 (2.5.31-2.1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:30:56 +0000

libgphoto2 (2.5.31-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062319

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:26:32 +0000

libgphoto2 (2.5.31-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Team upload.

  [ Chris Hofstaedtler ]
  * [9feb63a] Move udev files from /lib to /usr/lib.
    Including protective diversion against Multi-Arch: same file loss scenario
    (DEP17 P7 M10). Closes: #1056931

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Dec 2023 18:46:28 +0100

libgphoto2 (2.5.31-1) unstable; urgency=medium

  * [33c8d67] The kFreeBSD port has been removed
  * [a954f17] New upstream version 2.5.31
  * [a97f283] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Fri, 29 Sep 2023 20:49:23 +0200
