=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                graphviz,
                libcurl4-openssl-dev,
                libexif-dev,
@@ -32,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libexif-dev,
-         libgphoto2-6 (= ${binary:Version}),
+         libgphoto2-6t64 (= ${binary:Version}),
          pkg-config,
          ${misc:Depends}
 Breaks: libgphoto2-2-dev (<< 2.5.2-1~)
@@ -57,11 +58,12 @@
  .
  This package contains the development documentation.
 
-Package: libgphoto2-port12
+Package: libgphoto2-port12t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
-Breaks: libgphoto2-port10 (>= 2.5.7)
-Replaces: libgphoto2-port10 (>= 2.5.7)
+Breaks: libgphoto2-port12 (<< ${source:Version}), libgphoto2-port10 (>= 2.5.7)
+Replaces: libgphoto2-port12, libgphoto2-port10 (>= 2.5.7)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: gphoto2
@@ -72,7 +74,10 @@
  .
  This package contains the runtime code for port access.
 
-Package: libgphoto2-6
+Package: libgphoto2-6t64
+Provides: ${t64:Provides}
+Replaces: libgphoto2-6
+Breaks: libgphoto2-6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
