=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DOC_IMG=$(CURDIR)/debian/libgphoto2-dev-doc/usr/share/doc/libgphoto2-6t64/libgphoto2-api.html

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

### soname version - libgphoto2-major:
major=6t64

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

### Overrides:
override_dh_auto_configure:
	dh_auto_configure -- --with-drivers=all

override_dh_auto_install:
	LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	# Remove the COPYING file, debian/copyright is there already:
	find debian/tmp -name COPYING -delete

override_dh_install:
	dh_install
	# Double-check that and act accordingly:
	-test -e debian/tmp/usr/lib/udev/check-mtp-device && \
		mkdir -p debian/libgphoto2-port12t64/lib/udev && \
		mv debian/tmp/usr/lib/udev/check-mtp-device \
			debian/libgphoto2-port12t64/lib/udev/check-mtp-device
	# Using rdfind and symlinks to transform duplicated files in softlinks
	rdfind -makesymlinks true -makeresultsfile false $(DOC_IMG)
	symlinks -cr $(DOC_IMG)

ifeq ($(DEB_HOST_ARCH_OS),linux)
override_dh_installudev:
	# No longer needed with current udev. But check with non-Linux architectures stuff:
	# rm debian/libgphoto2-2/lib/udev/check-ptp-camera
	# Generate the udev file, get it installed, and clean:
	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 201 mode 0664 group plugdev > debian/libgphoto2-$(major).udev
	mkdir -p debian/libgphoto2-$(major)/usr/lib/udev/hwdb.d/
	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list hwdb > debian/libgphoto2-$(major)/usr/lib/udev/hwdb.d/20-libgphoto2-$(major).hwdb
	dh_installudev
	rm debian/libgphoto2-$(major).udev
	# This will become harmless after dh_installudev changes the default install path.
	set -e; if test -d debian/libgphoto2-6t64/lib/udev/rules.d; then mv debian/libgphoto2-6t64/lib/udev/rules.d debian/libgphoto2-6t64/usr/lib/udev; fi
	set -e; if test -d debian/libgphoto2-6t64/lib/udev; then rmdir debian/libgphoto2-6t64/lib/udev; fi
	set -e; if test -d debian/libgphoto2-6t64/lib; then rmdir debian/libgphoto2-6t64/lib; fi
endif

override_dh_fixperms:
	dh_fixperms --exclude usbcam

override_dh_makeshlibs:
	dh_makeshlibs -plibgphoto2-$(major) -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/
	dh_makeshlibs -plibgphoto2-port12t64 -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2_port/

override_dh_missing:
	dh_missing -X.la

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port12t64/usr/lib/

ifeq (linux,$(DEB_HOST_ARCH_OS))
override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 201)'
endif

# libgphoto2-dev-doc installs files under /usr/share/doc/libgphoto2-6t64/examples/,
# which isn't excluded by default:
override_dh_compress:
	dh_compress --exclude=/examples/

%:
	dh $@
