## libgphoto2 2.5.32

=== debian/changelog ===
libgphoto2 (2.5.32-1) unstable; urgency=medium

  * [32c7c1e] New upstream version 2.5.32
  * [401cf21] Drop already included upstream patch
  * [c2f8e5f] Upgrade Standards-Version to 4.7.2 (no changes required)
  * [f4935fd] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Sep 2025 14:42:16 +0200

libgphoto2 (2.5.31-4) unstable; urgency=medium

  * [c2cd215] New patch: align outlen length with jpeg jeaders. fixes
    https://github.com/gphoto/libgphoto2/issues/941.
    Thanks to Marcus Meissner (Closes: #1086238)
  * [e0f068c] Refresh lintian override contexts
  * [b35312f] Lintian already understands the t64 transition suffix
  * [14842a4] Fix issues reported by appstreamcli validate-tree
    (Closes: #1079013)
  * [a0e05f7] Update Standards-Version to 4.7.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 31 Oct 2024 20:37:17 +0100

libgphoto2 (2.5.31-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * Team upload.
  * Also drop lintian-overrides for DEP17 diversions.
  * [lintian] (Build-)depend on pkgconf instead of pkg-config.

  [ Helmut Grohne ]
  * Drop unnecessary DEP17 diversions: Affected files renamed for time64.
    Closes: #1065747

  [Simon McVittie]
  * Only require graphviz for Architecture: all builds
  * Only run rdfind and symlinks if we built documentation.
  * Don't build -dev-doc package under nodoc build-profile.
    Closes: #1067455

 -- Andreas Metzler <ametzler@debian.org>  Wed, 12 Jun 2024 18:16:27 +0200
