=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 DOC_IMG=$(CURDIR)/debian/libgphoto2-dev-doc/usr/share/doc/libgphoto2-6t64/libgphoto2-api.html
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+built_binaries := $(shell dh_listpackages)
 
 ### soname version - libgphoto2-major:
 major=6t64
@@ -27,9 +29,11 @@
 		mkdir -p debian/libgphoto2-port12t64/lib/udev && \
 		mv debian/tmp/usr/lib/udev/check-mtp-device \
 			debian/libgphoto2-port12t64/lib/udev/check-mtp-device
+ifneq ($(filter %-doc,$(built_binaries)),)
 	# Using rdfind and symlinks to transform duplicated files in softlinks
 	rdfind -makesymlinks true -makeresultsfile false $(DOC_IMG)
 	symlinks -cr $(DOC_IMG)
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 override_dh_installudev:
