## libgphoto2 2.5.33

=== debian/changelog ===
libgphoto2 (2.5.33-1) unstable; urgency=medium

  * [0093325] Simplify Salsa CI configuration
  * [ea21a8e] New upstream version 2.5.33
  * [198ecbc] Acknowledge new symbol

 -- Ferenc Wágner <wferi@debian.org>  Sat, 01 Nov 2025 11:45:53 +0100
