=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
-               graphviz,
                libcurl4-openssl-dev,
                libexif-dev,
                libgd-dev,
@@ -15,15 +13,16 @@
                libtool,
                libusb-1.0-0-dev,
                libxml2-dev,
-               pkg-config,
-               rdfind,
-               symlinks,
+               pkgconf,
                zlib1g-dev
 Build-Depends-Indep:
- doxygen,
+ doxygen <!nodoc>,
+ graphviz <!nodoc>,
+ rdfind <!nodoc>,
+ symlinks <!nodoc>,
 Build-Conflicts: liblockdev1-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libgphoto2
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libgphoto2.git
 Homepage: https://github.com/gphoto/libgphoto2/
@@ -34,7 +33,7 @@
 Multi-Arch: same
 Depends: libexif-dev,
          libgphoto2-6t64 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Breaks: libgphoto2-2-dev (<< 2.5.2-1~)
 Replaces: libgphoto2-2-dev (<< 2.5.2-1~)
@@ -46,6 +45,7 @@
  This package contains the development files.
 
 Package: libgphoto2-dev-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
