=== debian/tests/control ===
Test-Command: autoreconf -fi; ./configure; make; make check
Depends: @builddeps@
Restrictions: allow-stderr
