=== debian/watch ===
version=4

opts=\
  downloadurlmangle=s|/tag/(v?)@ANY_VERSION@|/download/$1$2/@PACKAGE@-$2.tar.xz|,\
  filenamemangle=s|.*/(v?)@ANY_VERSION@|@PACKAGE@-$2.tar.xz|,\
  pgpsigurlmangle=s|$|.asc| \
  https://github.com/gphoto/@PACKAGE@/releases/ /gphoto/@PACKAGE@/releases/tag/v(.+)
